Certificados
Subir un certificado de firma
Sube un certificado de firma electrónica (.p12 / PKCS#12) para la cuenta. Envía el archivo codificado en base64 junto con su contraseña. Si la contraseña es correcta, el certificado queda como el certificado activo de la cuenta y se usa para firmar sus documentos electrónicos.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
certificates
Subir un certificado de firma
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/certificates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"certificate": {
"p12_file": "aSDinaTvuI8gbWludGxpZnk=",
"p12_password": "<string>"
}
}
'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/certificates"
payload = { "certificate": {
"p12_file": "aSDinaTvuI8gbWludGxpZnk=",
"p12_password": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({certificate: {p12_file: 'aSDinaTvuI8gbWludGxpZnk=', p12_password: '<string>'}})
};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"certificate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"active": true,
"expires_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
]
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta. Usa el de tu propia cuenta o el de una cuenta que administras.
Body
application/json
Show child attributes
Show child attributes
Response
El certificado subido, ahora activo.
Show child attributes
Show child attributes
⌘I
Subir un certificado de firma
